import { CustomError } from '@httptoolkit/util';
export declare function waitUntil<T extends unknown>(delayMs: number, tries: number, test: () => Promise<T>): Promise<Exclude<T, false>>;
export declare class TimeoutError extends CustomError {
    constructor();
}
export declare function withTimeout<T>(timeoutMs: number, promise: Promise<T>): Promise<T>;
